// PlugTest.h : main header file for the PLUGTEST DLL
//

#if !defined(AFX_JOINTPREF_H__68E70A2D_B863_11D1_98AD_0040051EDCE7__INCLUDED_)
#define AFX_JOINTPREF_H__68E70A2D_B863_11D1_98AD_0040051EDCE7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif


#ifdef STRICT							// Already defined by stdafx,
#undef STRICT							// so we avoid warning linking msg
#endif
#ifdef _MBCS							// The same as above
#undef _MBCS
#endif

class JointPrefrencePanel;

#include "AnimationSuite.h"


/////////////////////////////////////////////////////////////////////////////
// JointPrefrenceApp
// See PlugTest.cpp for the implementation of this class
//

#ifndef __JOINTPREF__
#define __JOINTPREF__



/////////////////////////////////////////////////////////////////////////////
// PlugPanel, manage the Plugins' display panel
class JointPreferencePanel : public UtilityObj {
	protected:
		HINSTANCE		m_hInstance;
		IUtil*			m_iu;
		HWND			m_hPanel;

	public:
		Interface*		m_ip;

        // Constructor & Destructor
        JointPreferencePanel() {};
        virtual ~JointPreferencePanel() {};

		// Overides of the UtilityObj class
		void BeginEditParams(Interface* ip, IUtil* iu);
		void EndEditParams(Interface* ip, IUtil* iu);
		void DeleteThis()						{}
		void Init(HWND hWnd);
		void Destroy(HWND hWnd);

		//Specific Methods
		void EditPrefs();
		void DeletePrefs();

};


/////////////////////////////////////////////////////////////////////////////

#endif

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_JOINTPREF_H__68E70A2D_B863_11D1_98AD_0040051EDCE7__INCLUDED_)
